package label_relationship

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_relationship"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_relationship/create label_relationship CreateLabelRelationship
//
// Create label relationship information | 创建LabelRelationship
//
// Create label relationship information | 创建LabelRelationship
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelRelationshipInfo
//
// Responses:
//  200: BaseMsgResp

func CreateLabelRelationshipHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelRelationshipInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_relationship.NewCreateLabelRelationshipLogic(r.Context(), svcCtx)
		resp, err := l.CreateLabelRelationship(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
